package cn.wisenergy.chnmuseum.party.common.mvc;

public class HttpResult {
    // 响应的状态码
    private int code;

    // 响应的响应信息
    private String msg;

    // 响应的响应体
    private Object body;

    public HttpResult() {
    }

    public HttpResult(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public HttpResult(int code, Object body) {
        this.code = code;
        this.body = body;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getBody() {
        return body;
    }

    public void setBody(Object body) {
        this.body = body;
    }

    @Override
    public String toString() {
        return "{" +
                "\"code\":" + code +
                ", \"msg\":" + "\"" + msg + "\"" +
                ", \"body\":" + body +
                '}';
    }
}
