package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 版权方视频分类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("copytight_owner_asset_type")
@ApiModel(value = "CopytightOwnerAssetType对象", description = "版权方视频分类")
public class CopytightOwnerAssetType implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "版权方ID")
    @TableField("copyright_owner_id")
    private String copyrightOwnerId;

    @ApiModelProperty(value = "视频分类ID")
    @TableField("asset_type_id")
    private String assetTypeId;

}
